{{ stylesheet_link("/css/jobs.show.css") }}
{# 自定义流程得前半部分 #}
<div class="overflow_div">
    <form id="form" action="/jobs/test/" method="post">
        <input type="hidden" name="status" {% if status is defined %} value="{{ status }}" {% endif %}/>
        <input type="hidden" name="next_status" id="next_status"/>
        {# 自定义流程得渲染form #}
        <table style="width: 100%;" border="1" cellspacing="0.8" cellpadding="0.8" align="center"><caption><p><span style="font-size:24px;"><span style="font-family: Arial,Helvetica,sans-serif;">销售单</span></span><br></p></caption><tbody><tr><td><span style="font-size:16px;"><span style="font-family: Arial,Helvetica,sans-serif;">客户名称</span></span><br></td><td>{{form['defined_customers']}}</td><td><span style="font-size:16px;"><span style="font-family: Arial,Helvetica,sans-serif;">总价</span></span><br></td><td>{{form['defined_cost']}}</td></tr><tr><td><span style="font-size:16px;"><span style="font-family: Arial,Helvetica,sans-serif;">计划结束时间</span></span><br></td><td>{{form['jobs_pendtime']}}</td><td><span style="font-size:16px;"><span style="font-family: Arial,Helvetica,sans-serif;">备注</span></span><br></td><td>{{form['defined_remarks']}}</td></tr><tr><td><span style="font-size:16px;"><span style="font-family: Arial,Helvetica,sans-serif;">配送地址</span></span><br></td><td rowspan="1" colspan="3">{{form['defined_distribution']}}


 </td></tr></tbody></table><p><br></p>{{form['jobs_id']}}{{form['jobs_code']}}{{form['jobs_key']}}{{form['jobs_created']}}{{form['jobs_createdby']}}{{form['jobs_updated']}}{{form['jobs_updatedby']}}{{form['jobs_name']}}{{form['jobs_type']}}{{form['jobs_status']}}{{form['jobs_pstarttime']}}{{form['jobs_starttime']}}{{form['jobs_endtime']}}{{form['jobs_parent']}}{{form['defined_id']}}{{form['defined_code']}}{{form['defined_key']}}{{form['defined_jobs_code']}}{{form['defined_defname']}}{{form['defined_unit']}}{{form['jobs_id']}}{{form['jobs_code']}}{{form['jobs_key']}}{{form['jobs_created']}}{{form['jobs_createdby']}}{{form['jobs_updated']}}{{form['jobs_updatedby']}}{{form['jobs_name']}}{{form['jobs_type']}}{{form['jobs_status']}}{{form['jobs_pstarttime']}}{{form['jobs_starttime']}}{{form['jobs_endtime']}}{{form['jobs_parent']}}{{form['defined_id']}}{{form['defined_code']}}{{form['defined_key']}}{{form['defined_jobs_code']}}{{form['defined_defname']}}{{form['defined_unit']}}
        {# 自定义流程得提交和脚本 #}
        {% if status is not empty %}
            <span id="status" date={{ status }}></span>
        {% endif %}
        <div id="button">
            {% for index,item in button %}
                <input class="jobs_input" type="button" value="{{ item }}" code="{{ index }}"/>
            {% endfor %}
        </div>
    </form>
</div>
<script>
    $(function () {
        var button = $("div#button input");
        var workflow_code = JIUYANG.GLOBAL.getUrlParam('workflow_code');
        button.each(function () {
            $(this).click(function () {
                var code = $(this).attr("code");
                $("input#next_status").val(code);
                if ($('.system_newStockinModuleV2').length > 0) {

                    var stockinInfo = $('#info').val();
                    if (!stockinInfo) {

                        //弹出提示消息框
                        JIUYANG.GLOBAL.alert("请先保存入库信息","","info",3000,"系统提示");

                        return false;
                    }

                };

                if (workflow_code == "stockouts" ) {

                    //获取当前状态
                    if (code == "stockouts-open") {

                        //获取物料
                         var g = $('#Material_Name').combogrid('grid');
                         var r = g.datagrid('getSelected');

                            if (!r.code) {
                                return false;
                            }
                            var material_code = r.code;


                            //获取出库数量
                            if ($('#materialNum').numberbox("getValue")) {

                                 materialNum = $('#materialNum').numberbox("getValue");

                            } else {

                                 materialNum = 0;

                            }
                        system_boolean = true;

                        $.ajax({
                            url : "/ajax/index",
                            type : "POST",
                            async : false,
                            data : {
                                postParam:{
                                     biz : "Jobstockoutapps",
                                     method : "getInventory",
                                     params : material_code
                                }
                            },
                            dataType : "JSON",
                            success : function (result) {
                                if (result) {
                                    if (result.code == "0") {
                                        var totalNum = result.data;

                                       if (parseInt(parseFloat(materialNum) * 10000) > parseInt(parseFloat(totalNum) * 10000)) {
                                        system_boolean = false;
                                        $.messager.alert("提示", "库存不足请先采购，库存数:"+totalNum, "warning");
                                       return false;
                                       }
                                    }
                                }
                            }
                        });

                        if (!system_boolean) {
                            return false;
                        }


                    }
                }

                if ($(".system_newStockoutModuleV2").length > 0) {

                    var stockOutInfo = $('#system_stinfo').val();

                    if (!stockOutInfo || stockOutInfo=="" || typeof(stockOutInfo) == "undefined") {
                        //弹出提示消息框
                               JIUYANG.GLOBAL.alert("请先保存出库信息组件","","info",3000,"系统提示");
                               return false;
                    }
                }
                $.messager.confirm("提示：", "您是否要执行此操作？", function (r) {
                    if (r) {
                        $("#form").submit();
                    }
                })

            });
        });
        $("#form").form({
            success: function (data) {
                var result = eval("(" + data + ")");
                if (result.code > 0) {
                    $.messager.alert("Error", result.message, "error");
                } else {
                    //$.messager.alert("Info", result.message, 'info');
                    JIUYANG.APP.callback = function () {
                        location.href = '/jobs/index?workflow_code=' + workflow_code;
                        //history.go(-1);
                    };
                    $.messager.alert("系统提示", result.message, 'info', JIUYANG.APP.callback);
                    //setTimeout("history.go(-1)",2000);
                    //JIUYANG.GLOBAL.alert(result.message,JIUYANG.APP.callback);
                }
            }
        });
    });
</script>